#include <SPI.h>
#include <Ethernet.h>
#include <ICMPPing.h>
#include <SoftwareSerial.h>
#define RX_PIN 5
#define TX_PIN 4
SoftwareSerial sigfox(RX_PIN,TX_PIN);

byte mac[] = {0x00, 0x13, 0x32, 0x28, 0x5D, 0x9D}; // mac address for ethernet shield
byte ip[] = {192,168,1,100}; // ip address for ethernet shield
IPAddress pingAddr(192,168,1,254); // ip address to ping, here is the gateway
 
SOCKET pingSocket = 0;
 
char buffer [256];
ICMPPing ping(pingSocket, (uint16_t)random(0, 255));

int counter = 0; //var to send only one alert once every event
int counter2 = 0; //var to send only one alert once every event

void setup()
{
  // start Ethernet
  Ethernet.begin(mac, ip);
  Serial.begin(9600);
  sigfox.begin(9600);
}
 
void loop()
{
  ICMPEchoReply echoReply = ping(pingAddr, 4);
  if (echoReply.status == SUCCESS)
  {
    counter = 0;
    sendback();
  }
  else
  {
    sendalert();
    }
}

//////////////////////////////////////////////////////////////////////////////////

void sendalert()
{
    if (counter == 0)
  {  
    sigfox.write("AT$SF=44 57\r"); //network down
    counter++;
    counter2 = 0;
  }
}

void sendback()
{
    if (counter2 == 0)
  {  
    sigfox.write("AT$SF=55 50 20 20\r"); //network up
    counter2++;
  }
}

